Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Protected Member Functions
Argus::Interface Class Reference

The top-level interface class. More...

`#include <Types.h>`

Inheritance diagram for Argus::Interface:

List of all members.

## Protected Member Functions
| Interface ()
| ~Interface ()

## Additional Inherited Members

## Detailed Description

The top-level interface class.

By convention, every Interface subclass exposes a public static method called `id()`, which returns the unique InterfaceID for that interface. This is required for the `interface_cast<>` template to work with that interface.

Definition at line 290 of file Types.h.

## Constructor & Destructor Documentation

Argus::Interface::Interface | ( |  | ) |
| inline protected

Definition at line 293 of file Types.h.

Argus::Interface::~Interface | ( |  | ) |
| inline protected

Definition at line 294 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h